Skip to main content
GET
/
validations
/
{validationId}
/
tasks
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/validations/{validationId}/tasks \
  --header 'Authorization: Bearer <token>'
{
  "nextToken": "<string>",
  "tasks": [
    {
      "updatedTime": "<string>",
      "metadata": {},
      "validationId": "<string>",
      "updatedBy": "<string>",
      "description": "<string>",
      "input": {},
      "createdBy": "<string>",
      "name": "<string>",
      "createdTime": "<string>",
      "taskId": "<string>",
      "warnings": [
        "<string>"
      ],
      "history": [
        {}
      ],
      "agentRunId": "<string>",
      "enabled": true,
      "output": {},
      "logId": "<string>",
      "id": "<string>",
      "errors": [
        "<string>"
      ],
      "status": "ready"
    }
  ],
  "status": [
    "ready"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

validationId
string
required

Query Parameters

status
string
nextToken
string
maxResults
string

Response

200 response

nextToken
string | null
required
Maximum string length: 4096
tasks
object[]
required
status
enum<string>[]
Available options:
ready,
in-progress,
succeeded,
failed,
cancelled